public inbox for gcc-patches@gcc.gnu.org
 help / color / mirror / Atom feed
* [PATCH] New check and updates in check_GNU_style script
@ 2014-07-21  7:32 Yury Gribov
  2014-07-22  0:49 ` Sebastian Pop
  2014-12-11 10:24 ` [PATCHv2] " Yury Gribov
  0 siblings, 2 replies; 8+ messages in thread
From: Yury Gribov @ 2014-07-21  7:32 UTC (permalink / raw)
  To: GCC Patches; +Cc: Sebastian Pop, Christophe Lyon

[-- Attachment #1: Type: text/plain, Size: 247 bytes --]

Hi all,

Attached patch adds new check (all blocks of 8 spaces are replaced with 
tabs) to contrib/check_GNU_style.sh. It also changes the script to allow 
reading patches from stdin and improves the "Dot, space, space, new 
sentence." check.

-Y

[-- Attachment #2: check-1.diff --]
[-- Type: text/x-diff, Size: 3495 bytes --]

commit 4bc624dcd778e8317a4de620b266c05b55577aad
Author: Yury Gribov <y.gribov@samsung.com>
Date:   Mon Jul 21 10:12:24 2014 +0400

    2014-07-21  Yury Gribov  <y.gribov@samsung.com>
    
    	check_GNU_style.sh: Support patches coming from stdin,
    	check that spaces are converted to tabs and make double-space
    	check more precice.

diff --git a/contrib/check_GNU_style.sh b/contrib/check_GNU_style.sh
index ef8fdda..d61dc96 100755
--- a/contrib/check_GNU_style.sh
+++ b/contrib/check_GNU_style.sh
@@ -23,6 +23,8 @@ usage() {
 check_GNU_style.sh [patch]...
 
     Checks the patches for some of the GNU style formatting problems.
+    When FILE is -, read standard input.
+
     Please note that these checks are not always accurate, and
     complete.  The reference documentation of the GNU Coding Standards
     can be found here: http://www.gnu.org/prep/standards_toc.html
@@ -35,19 +37,22 @@ EOF
 
 test $# -eq 0 && usage
 
+inp=check_GNU_style.inp
 tmp=check_GNU_style.tmp
 
 # Remove $tmp on exit and various signals.
-trap "rm -f $tmp" 0
-trap "rm -f $tmp ; exit 1" 1 2 3 5 9 13 15
+trap "rm -f $inp $tmp" 0
+trap "rm -f $inp $tmp ; exit 1" 1 2 3 5 9 13 15
+
+grep -nH '^+' $* \
+	| grep -v ':+++' \
+	> $inp
 
 # Grep
 g (){
     msg="$1"
     arg="$2"
-    shift 2
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep --color=always -- "$arg" \
 	> $tmp && printf "\n$msg\n"
     cat $tmp
@@ -58,9 +63,7 @@ ag (){
     msg="$1"
     arg1="$2"
     arg2="$3"
-    shift 3
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep --color=always -- "$arg1" \
 	| egrep --color=always -- "$arg2" \
 	> $tmp && printf "\n$msg\n"
@@ -72,9 +75,7 @@ vg (){
     msg="$1"
     varg="$2"
     arg="$3"
-    shift 3
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep -v -- "$varg" \
 	| egrep --color=always -- "$arg" \
 	> $tmp && printf "\n$msg\n"
@@ -83,9 +84,7 @@ vg (){
 
 col (){
     msg="$1"
-    shift 1
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| cut -f 2 -d '+' \
 	| awk '{ if (length ($0) > 80) print $0 }' \
 	> $tmp
@@ -95,30 +94,32 @@ col (){
     fi
 }
 
-col 'Lines should not exceed 80 characters.' $*
+col 'Lines should not exceed 80 characters.'
+
+g 'Blocks of 8 spaces should be replaced with tabs.' \
+    ' {8}'
 
 g 'Trailing whitespace.' \
-    '[[:space:]]$' $*
+    '[[:space:]]$'
 
 g 'Space before dot.' \
-    '[[:alnum:]][[:blank:]]+\.' $*
+    '[[:alnum:]][[:blank:]]+\.'
 
 g 'Dot, space, space, new sentence.' \
-    '[[:alnum:]]\.([[:blank:]]|[[:blank:]]{3,})[[:alnum:]]' $*
+    '[[:alnum:]]\.([[:blank:]]|[[:blank:]]{3,})[A-Z0-9]'
 
 g 'Dot, space, space, end of comment.' \
-    '[[:alnum:]]\.([[:blank:]]{0,1}|[[:blank:]]{3,})\*/' $*
+    '[[:alnum:]]\.([[:blank:]]{0,1}|[[:blank:]]{3,})\*/'
 
 g 'Sentences should end with a dot.  Dot, space, space, end of the comment.' \
-    '[[:alnum:]][[:blank:]]*\*/' $*
+    '[[:alnum:]][[:blank:]]*\*/'
 
 vg 'There should be exactly one space between function name and parentheses.' \
-    '\#define' '[[:alnum:]]([^[:blank:]]|[[:blank:]]{2,})\(' $*
+    '\#define' '[[:alnum:]]([^[:blank:]]|[[:blank:]]{2,})\('
 
 g 'There should be no space before closing parentheses.' \
-    '[[:graph:]][[:blank:]]+\)' $*
+    '[[:graph:]][[:blank:]]+\)'
 
 ag 'Braces should be on a separate line.' \
-    '\{' 'if[[:blank:]]\(|while[[:blank:]]\(|switch[[:blank:]]\(' $*
-
+    '\{' 'if[[:blank:]]\(|while[[:blank:]]\(|switch[[:blank:]]\('
 

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PATCH] New check and updates in check_GNU_style script
  2014-07-21  7:32 [PATCH] New check and updates in check_GNU_style script Yury Gribov
@ 2014-07-22  0:49 ` Sebastian Pop
  2014-07-22  7:13   ` Yury Gribov
  2014-12-11 10:24 ` [PATCHv2] " Yury Gribov
  1 sibling, 1 reply; 8+ messages in thread
From: Sebastian Pop @ 2014-07-22  0:49 UTC (permalink / raw)
  To: Yury Gribov, s.pop; +Cc: GCC Patches, Christophe Lyon

What about getting clang-format to GNU format instead of improving
this ad-hoc script?
http://clang.llvm.org/docs/ClangFormatStyleOptions.html
http://reviews.llvm.org/D2371

Thanks,
Sebastian

PS: Please do not use my @codeaurora.org email address:
I do not have access to that email anymore.
You can use either my gmail address or the one @samsung.com

On Mon, Jul 21, 2014 at 1:25 AM, Yury Gribov <y.gribov@samsung.com> wrote:
> Hi all,
>
> Attached patch adds new check (all blocks of 8 spaces are replaced with
> tabs) to contrib/check_GNU_style.sh. It also changes the script to allow
> reading patches from stdin and improves the "Dot, space, space, new
> sentence." check.
>
> -Y

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PATCH] New check and updates in check_GNU_style script
  2014-07-22  0:49 ` Sebastian Pop
@ 2014-07-22  7:13   ` Yury Gribov
  2014-07-22 14:49     ` Sebastian Pop
  0 siblings, 1 reply; 8+ messages in thread
From: Yury Gribov @ 2014-07-22  7:13 UTC (permalink / raw)
  To: Sebastian Pop; +Cc: GCC Patches, Christophe Lyon

On 07/22/2014 02:24 AM, Sebastian Pop wrote:
> What about getting clang-format to GNU format instead of improving
> this ad-hoc script?

Well, GNU support in clang-format seems to be at it's early days
so improving diagnostic in check_GNU_style does not seem to be totally 
useless.

In general clang-format is probably more capable than simple regexes 
that we have.
BTW can it format patches (i.e. incomplete pieces of code)?

-Y

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PATCH] New check and updates in check_GNU_style script
  2014-07-22  7:13   ` Yury Gribov
@ 2014-07-22 14:49     ` Sebastian Pop
  0 siblings, 0 replies; 8+ messages in thread
From: Sebastian Pop @ 2014-07-22 14:49 UTC (permalink / raw)
  To: Yury Gribov; +Cc: GCC Patches, Christophe Lyon

Yes, clang-format knows how to format patches,
and it also has a vi and emacs mode able to format a region of code.

On Tue, Jul 22, 2014 at 12:46 AM, Yury Gribov <y.gribov@samsung.com> wrote:
> On 07/22/2014 02:24 AM, Sebastian Pop wrote:
>>
>> What about getting clang-format to GNU format instead of improving
>> this ad-hoc script?
>
>
> Well, GNU support in clang-format seems to be at it's early days
> so improving diagnostic in check_GNU_style does not seem to be totally
> useless.
>
> In general clang-format is probably more capable than simple regexes that we
> have.
> BTW can it format patches (i.e. incomplete pieces of code)?
>
> -Y

^ permalink raw reply	[flat|nested] 8+ messages in thread

* [PATCHv2] New check and updates in check_GNU_style script
  2014-07-21  7:32 [PATCH] New check and updates in check_GNU_style script Yury Gribov
  2014-07-22  0:49 ` Sebastian Pop
@ 2014-12-11 10:24 ` Yury Gribov
  2014-12-19  8:19   ` [PATCHv2][PING] " Yury Gribov
  2015-01-09  7:13   ` [PATCHv2] " Jeff Law
  1 sibling, 2 replies; 8+ messages in thread
From: Yury Gribov @ 2014-12-11 10:24 UTC (permalink / raw)
  To: GCC Patches; +Cc: Jeff Law

[-- Attachment #1: Type: text/plain, Size: 271 bytes --]

Hi all,

Attached patch adds new check (all blocks of 8 spaces are replaced with
tabs) to contrib/check_GNU_style.sh. It also changes the script to allow
reading patches from stdin and strengthens the "Dot, space, space, new
sentence." check.

Is this ok to commit?

-Y


[-- Attachment #2: check-style-stdin-1.diff --]
[-- Type: text/x-patch, Size: 3645 bytes --]

From c099086a7325d5feca28630be5a569a7de027c93 Mon Sep 17 00:00:00 2001
From: Yury Gribov <y.gribov@samsung.com>
Date: Thu, 11 Dec 2014 13:19:59 +0300
Subject: [PATCH] 2014-12-11  Yury Gribov  <y.gribov@samsung.com>

	check_GNU_style.sh: Support patches coming from stdin,
	check that spaces are converted to tabs and make
	double-space-after-dot check more precice.
---
 contrib/check_GNU_style.sh |   49 ++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 24 deletions(-)

diff --git a/contrib/check_GNU_style.sh b/contrib/check_GNU_style.sh
index 5f90190..cf6081e 100755
--- a/contrib/check_GNU_style.sh
+++ b/contrib/check_GNU_style.sh
@@ -23,6 +23,8 @@ usage() {
 check_GNU_style.sh [patch]...
 
     Checks the patches for some of the GNU style formatting problems.
+    When FILE is -, read standard input.
+
     Please note that these checks are not always accurate, and
     complete.  The reference documentation of the GNU Coding Standards
     can be found here: http://www.gnu.org/prep/standards_toc.html
@@ -35,19 +37,22 @@ EOF
 
 test $# -eq 0 && usage
 
+inp=check_GNU_style.inp
 tmp=check_GNU_style.tmp
 
 # Remove $tmp on exit and various signals.
-trap "rm -f $tmp" 0
-trap "rm -f $tmp ; exit 1" 1 2 3 5 9 13 15
+trap "rm -f $inp $tmp" 0
+trap "rm -f $inp $tmp ; exit 1" 1 2 3 5 9 13 15
+
+grep -nH '^+' $* \
+	| grep -v ':+++' \
+	> $inp
 
 # Grep
 g (){
     msg="$1"
     arg="$2"
-    shift 2
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep --color=always -- "$arg" \
 	> $tmp && printf "\n$msg\n"
     cat $tmp
@@ -58,9 +63,7 @@ ag (){
     msg="$1"
     arg1="$2"
     arg2="$3"
-    shift 3
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep --color=always -- "$arg1" \
 	| egrep --color=always -- "$arg2" \
 	> $tmp && printf "\n$msg\n"
@@ -72,9 +75,7 @@ vg (){
     msg="$1"
     varg="$2"
     arg="$3"
-    shift 3
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep -v -- "$varg" \
 	| egrep --color=always -- "$arg" \
 	> $tmp && printf "\n$msg\n"
@@ -83,9 +84,7 @@ vg (){
 
 col (){
     msg="$1"
-    shift 1
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| cut -f 2 -d '+' \
 	| awk '{ if (length ($0) > 80) print $0 }' \
 	> $tmp
@@ -95,30 +94,32 @@ col (){
     fi
 }
 
-col 'Lines should not exceed 80 characters.' $*
+col 'Lines should not exceed 80 characters.'
+
+g 'Blocks of 8 spaces should be replaced with tabs.' \
+    ' {8}'
 
 g 'Trailing whitespace.' \
-    '[[:space:]]$' $*
+    '[[:space:]]$'
 
 g 'Space before dot.' \
-    '[[:alnum:]][[:blank:]]+\.' $*
+    '[[:alnum:]][[:blank:]]+\.'
 
 g 'Dot, space, space, new sentence.' \
-    '[[:alnum:]]\.([[:blank:]]|[[:blank:]]{3,})[[:alnum:]]' $*
+    '[[:alnum:]]\.([[:blank:]]|[[:blank:]]{3,})[A-Z0-9]'
 
 g 'Dot, space, space, end of comment.' \
-    '[[:alnum:]]\.([[:blank:]]{0,1}|[[:blank:]]{3,})\*/' $*
+    '[[:alnum:]]\.([[:blank:]]{0,1}|[[:blank:]]{3,})\*/'
 
 g 'Sentences should end with a dot.  Dot, space, space, end of the comment.' \
-    '[[:alnum:]][[:blank:]]*\*/' $*
+    '[[:alnum:]][[:blank:]]*\*/'
 
 vg 'There should be exactly one space between function name and parentheses.' \
-    '\#define' '[[:alnum:]]([[:blank:]]{2,})?\(' $*
+    '\#define' '[[:alnum:]]([[:blank:]]{2,})?\('
 
 g 'There should be no space before closing parentheses.' \
-    '[[:graph:]][[:blank:]]+\)' $*
+    '[[:graph:]][[:blank:]]+\)'
 
 ag 'Braces should be on a separate line.' \
-    '\{' 'if[[:blank:]]\(|while[[:blank:]]\(|switch[[:blank:]]\(' $*
-
+    '\{' 'if[[:blank:]]\(|while[[:blank:]]\(|switch[[:blank:]]\('
 
-- 
1.7.9.5


^ permalink raw reply	[flat|nested] 8+ messages in thread

* [PATCHv2][PING] New check and updates in check_GNU_style script
  2014-12-11 10:24 ` [PATCHv2] " Yury Gribov
@ 2014-12-19  8:19   ` Yury Gribov
  2014-12-26 13:00     ` [PATCHv3][PING] " Yury Gribov
  2015-01-09  7:13   ` [PATCHv2] " Jeff Law
  1 sibling, 1 reply; 8+ messages in thread
From: Yury Gribov @ 2014-12-19  8:19 UTC (permalink / raw)
  To: GCC Patches; +Cc: Jeff Law

[-- Attachment #1: Type: text/plain, Size: 271 bytes --]

Hi all,

Attached patch adds new check (all blocks of 8 spaces are replaced with
tabs) to contrib/check_GNU_style.sh. It also changes the script to allow
reading patches from stdin and strengthens the "Dot, space, space, new
sentence." check.

Is this ok to commit?

-Y


[-- Attachment #2: check-style-stdin-1.diff --]
[-- Type: text/x-patch, Size: 3645 bytes --]

From c099086a7325d5feca28630be5a569a7de027c93 Mon Sep 17 00:00:00 2001
From: Yury Gribov <y.gribov@samsung.com>
Date: Thu, 11 Dec 2014 13:19:59 +0300
Subject: [PATCH] 2014-12-11  Yury Gribov  <y.gribov@samsung.com>

	check_GNU_style.sh: Support patches coming from stdin,
	check that spaces are converted to tabs and make
	double-space-after-dot check more precice.
---
 contrib/check_GNU_style.sh |   49 ++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 24 deletions(-)

diff --git a/contrib/check_GNU_style.sh b/contrib/check_GNU_style.sh
index 5f90190..cf6081e 100755
--- a/contrib/check_GNU_style.sh
+++ b/contrib/check_GNU_style.sh
@@ -23,6 +23,8 @@ usage() {
 check_GNU_style.sh [patch]...
 
     Checks the patches for some of the GNU style formatting problems.
+    When FILE is -, read standard input.
+
     Please note that these checks are not always accurate, and
     complete.  The reference documentation of the GNU Coding Standards
     can be found here: http://www.gnu.org/prep/standards_toc.html
@@ -35,19 +37,22 @@ EOF
 
 test $# -eq 0 && usage
 
+inp=check_GNU_style.inp
 tmp=check_GNU_style.tmp
 
 # Remove $tmp on exit and various signals.
-trap "rm -f $tmp" 0
-trap "rm -f $tmp ; exit 1" 1 2 3 5 9 13 15
+trap "rm -f $inp $tmp" 0
+trap "rm -f $inp $tmp ; exit 1" 1 2 3 5 9 13 15
+
+grep -nH '^+' $* \
+	| grep -v ':+++' \
+	> $inp
 
 # Grep
 g (){
     msg="$1"
     arg="$2"
-    shift 2
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep --color=always -- "$arg" \
 	> $tmp && printf "\n$msg\n"
     cat $tmp
@@ -58,9 +63,7 @@ ag (){
     msg="$1"
     arg1="$2"
     arg2="$3"
-    shift 3
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep --color=always -- "$arg1" \
 	| egrep --color=always -- "$arg2" \
 	> $tmp && printf "\n$msg\n"
@@ -72,9 +75,7 @@ vg (){
     msg="$1"
     varg="$2"
     arg="$3"
-    shift 3
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep -v -- "$varg" \
 	| egrep --color=always -- "$arg" \
 	> $tmp && printf "\n$msg\n"
@@ -83,9 +84,7 @@ vg (){
 
 col (){
     msg="$1"
-    shift 1
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| cut -f 2 -d '+' \
 	| awk '{ if (length ($0) > 80) print $0 }' \
 	> $tmp
@@ -95,30 +94,32 @@ col (){
     fi
 }
 
-col 'Lines should not exceed 80 characters.' $*
+col 'Lines should not exceed 80 characters.'
+
+g 'Blocks of 8 spaces should be replaced with tabs.' \
+    ' {8}'
 
 g 'Trailing whitespace.' \
-    '[[:space:]]$' $*
+    '[[:space:]]$'
 
 g 'Space before dot.' \
-    '[[:alnum:]][[:blank:]]+\.' $*
+    '[[:alnum:]][[:blank:]]+\.'
 
 g 'Dot, space, space, new sentence.' \
-    '[[:alnum:]]\.([[:blank:]]|[[:blank:]]{3,})[[:alnum:]]' $*
+    '[[:alnum:]]\.([[:blank:]]|[[:blank:]]{3,})[A-Z0-9]'
 
 g 'Dot, space, space, end of comment.' \
-    '[[:alnum:]]\.([[:blank:]]{0,1}|[[:blank:]]{3,})\*/' $*
+    '[[:alnum:]]\.([[:blank:]]{0,1}|[[:blank:]]{3,})\*/'
 
 g 'Sentences should end with a dot.  Dot, space, space, end of the comment.' \
-    '[[:alnum:]][[:blank:]]*\*/' $*
+    '[[:alnum:]][[:blank:]]*\*/'
 
 vg 'There should be exactly one space between function name and parentheses.' \
-    '\#define' '[[:alnum:]]([[:blank:]]{2,})?\(' $*
+    '\#define' '[[:alnum:]]([[:blank:]]{2,})?\('
 
 g 'There should be no space before closing parentheses.' \
-    '[[:graph:]][[:blank:]]+\)' $*
+    '[[:graph:]][[:blank:]]+\)'
 
 ag 'Braces should be on a separate line.' \
-    '\{' 'if[[:blank:]]\(|while[[:blank:]]\(|switch[[:blank:]]\(' $*
-
+    '\{' 'if[[:blank:]]\(|while[[:blank:]]\(|switch[[:blank:]]\('
 
-- 
1.7.9.5


^ permalink raw reply	[flat|nested] 8+ messages in thread

* [PATCHv3][PING] New check and updates in check_GNU_style script
  2014-12-19  8:19   ` [PATCHv2][PING] " Yury Gribov
@ 2014-12-26 13:00     ` Yury Gribov
  0 siblings, 0 replies; 8+ messages in thread
From: Yury Gribov @ 2014-12-26 13:00 UTC (permalink / raw)
  To: GCC Patches; +Cc: Jeff Law

[-- Attachment #1: Type: text/plain, Size: 331 bytes --]

On 12/19/2014 11:14 AM, Yury Gribov wrote:
> Hi all,
>
> Attached patch adds new check (all blocks of 8 spaces are replaced with
> tabs) to contrib/check_GNU_style.sh. It also changes the script to allow
> reading patches from stdin and strengthens the "Dot, space, space, new
> sentence." check.
>
> Is this ok to commit?

Ping.


[-- Attachment #2: check-style-stdin-1.diff --]
[-- Type: text/x-patch, Size: 3645 bytes --]

From c099086a7325d5feca28630be5a569a7de027c93 Mon Sep 17 00:00:00 2001
From: Yury Gribov <y.gribov@samsung.com>
Date: Thu, 11 Dec 2014 13:19:59 +0300
Subject: [PATCH] 2014-12-11  Yury Gribov  <y.gribov@samsung.com>

	check_GNU_style.sh: Support patches coming from stdin,
	check that spaces are converted to tabs and make
	double-space-after-dot check more precice.
---
 contrib/check_GNU_style.sh |   49 ++++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 24 deletions(-)

diff --git a/contrib/check_GNU_style.sh b/contrib/check_GNU_style.sh
index 5f90190..cf6081e 100755
--- a/contrib/check_GNU_style.sh
+++ b/contrib/check_GNU_style.sh
@@ -23,6 +23,8 @@ usage() {
 check_GNU_style.sh [patch]...
 
     Checks the patches for some of the GNU style formatting problems.
+    When FILE is -, read standard input.
+
     Please note that these checks are not always accurate, and
     complete.  The reference documentation of the GNU Coding Standards
     can be found here: http://www.gnu.org/prep/standards_toc.html
@@ -35,19 +37,22 @@ EOF
 
 test $# -eq 0 && usage
 
+inp=check_GNU_style.inp
 tmp=check_GNU_style.tmp
 
 # Remove $tmp on exit and various signals.
-trap "rm -f $tmp" 0
-trap "rm -f $tmp ; exit 1" 1 2 3 5 9 13 15
+trap "rm -f $inp $tmp" 0
+trap "rm -f $inp $tmp ; exit 1" 1 2 3 5 9 13 15
+
+grep -nH '^+' $* \
+	| grep -v ':+++' \
+	> $inp
 
 # Grep
 g (){
     msg="$1"
     arg="$2"
-    shift 2
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep --color=always -- "$arg" \
 	> $tmp && printf "\n$msg\n"
     cat $tmp
@@ -58,9 +63,7 @@ ag (){
     msg="$1"
     arg1="$2"
     arg2="$3"
-    shift 3
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep --color=always -- "$arg1" \
 	| egrep --color=always -- "$arg2" \
 	> $tmp && printf "\n$msg\n"
@@ -72,9 +75,7 @@ vg (){
     msg="$1"
     varg="$2"
     arg="$3"
-    shift 3
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| egrep -v -- "$varg" \
 	| egrep --color=always -- "$arg" \
 	> $tmp && printf "\n$msg\n"
@@ -83,9 +84,7 @@ vg (){
 
 col (){
     msg="$1"
-    shift 1
-    grep -nH '^+' $* \
-	| grep -v ':+++' \
+    cat $inp \
 	| cut -f 2 -d '+' \
 	| awk '{ if (length ($0) > 80) print $0 }' \
 	> $tmp
@@ -95,30 +94,32 @@ col (){
     fi
 }
 
-col 'Lines should not exceed 80 characters.' $*
+col 'Lines should not exceed 80 characters.'
+
+g 'Blocks of 8 spaces should be replaced with tabs.' \
+    ' {8}'
 
 g 'Trailing whitespace.' \
-    '[[:space:]]$' $*
+    '[[:space:]]$'
 
 g 'Space before dot.' \
-    '[[:alnum:]][[:blank:]]+\.' $*
+    '[[:alnum:]][[:blank:]]+\.'
 
 g 'Dot, space, space, new sentence.' \
-    '[[:alnum:]]\.([[:blank:]]|[[:blank:]]{3,})[[:alnum:]]' $*
+    '[[:alnum:]]\.([[:blank:]]|[[:blank:]]{3,})[A-Z0-9]'
 
 g 'Dot, space, space, end of comment.' \
-    '[[:alnum:]]\.([[:blank:]]{0,1}|[[:blank:]]{3,})\*/' $*
+    '[[:alnum:]]\.([[:blank:]]{0,1}|[[:blank:]]{3,})\*/'
 
 g 'Sentences should end with a dot.  Dot, space, space, end of the comment.' \
-    '[[:alnum:]][[:blank:]]*\*/' $*
+    '[[:alnum:]][[:blank:]]*\*/'
 
 vg 'There should be exactly one space between function name and parentheses.' \
-    '\#define' '[[:alnum:]]([[:blank:]]{2,})?\(' $*
+    '\#define' '[[:alnum:]]([[:blank:]]{2,})?\('
 
 g 'There should be no space before closing parentheses.' \
-    '[[:graph:]][[:blank:]]+\)' $*
+    '[[:graph:]][[:blank:]]+\)'
 
 ag 'Braces should be on a separate line.' \
-    '\{' 'if[[:blank:]]\(|while[[:blank:]]\(|switch[[:blank:]]\(' $*
-
+    '\{' 'if[[:blank:]]\(|while[[:blank:]]\(|switch[[:blank:]]\('
 
-- 
1.7.9.5


^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PATCHv2] New check and updates in check_GNU_style script
  2014-12-11 10:24 ` [PATCHv2] " Yury Gribov
  2014-12-19  8:19   ` [PATCHv2][PING] " Yury Gribov
@ 2015-01-09  7:13   ` Jeff Law
  1 sibling, 0 replies; 8+ messages in thread
From: Jeff Law @ 2015-01-09  7:13 UTC (permalink / raw)
  To: Yury Gribov, GCC Patches

On 12/11/14 03:24, Yury Gribov wrote:
> Hi all,
>
> Attached patch adds new check (all blocks of 8 spaces are replaced with
> tabs) to contrib/check_GNU_style.sh. It also changes the script to allow
> reading patches from stdin and strengthens the "Dot, space, space, new
> sentence." check.
>
> Is this ok to commit?
Yes.  This is fine.

Thanks and sorry for the delay,

jeff

^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2015-01-09  7:13 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2014-07-21  7:32 [PATCH] New check and updates in check_GNU_style script Yury Gribov
2014-07-22  0:49 ` Sebastian Pop
2014-07-22  7:13   ` Yury Gribov
2014-07-22 14:49     ` Sebastian Pop
2014-12-11 10:24 ` [PATCHv2] " Yury Gribov
2014-12-19  8:19   ` [PATCHv2][PING] " Yury Gribov
2014-12-26 13:00     ` [PATCHv3][PING] " Yury Gribov
2015-01-09  7:13   ` [PATCHv2] " Jeff Law

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).